html{
    min-width: 1370px;
}

body {
    background-color:azure;
    position: relative;/*←相対位置*/
    box-sizing: border-box;/*←全て含めてmin-height:100vhに*/
    
}

td,th{
  border:1px solid #ccc;
  padding:10px;
}

header {
    background-color: #060047;
    width: 100%;
    height: 60px;
    padding: 0% 2% 0% 5%;
    border-top: 2px solid orange;
}
footer {
    background-color: #040033;
    width: 100%;
    color :#c9c6f2;
    text-align: center;
    padding: 20px 0;
    margin-top: auto;
    bottom: 0;
    height: 90px;
}
main{
    padding: 30px 5% 30px 5%;
    border-radius: 10px 10px 10px 10px;
    background-color: #d8edff;
    margin: 30px auto 30px auto;
    width: 80%;
    min-height: 87%;
    position: relative;
}
#bodder {
    //padding: 0% 0% 35px 0%;
    margin: 0 auto;
    display: flex;
    min-height: calc(100vh - 150px);
}
.home {
    height: 40px;
    font-size: 30px;
    font-weight: bold;
    color: #4671ff;
    --display: inline-block; /*--横並び*/
}
.content {
    padding: 10px 10px;
}
#leftmenu {
    background-color: #bedfff;
    width: 20%;
    border-right:1px solid black;
    border-bottom:1px solid black;
    text-align: center;
    margin : 0 0 50px 0;
    border-radius: 0px 0px 20px 0px;
    height: 0%;
}
#right{
    width: 80%;
}
.category, input[type='checkbox'] {
    cursor: pointer;
    width: 50%;
}
.selectbox{
    display:  flex;
    flex-wrap: wrap;
}
.datecorner{
    position: absolute;
    top:10px;
    right: 10px;
}
.inputarea{
    border: 1px solid black;
    background-color: aliceblue;
    border-radius: 10px 10px 10px 10px;
    padding: 30px;
    margin: 30px 30px 30px 30px;
}
.selectionbox{
    border-radius: 10px 10px 10px 10px;
    background-color: #9fd3ff;
    margin: 30px 5%;
    padding: 30px 5%;
}
.languagebox{
    display: flex; 
    flex-wrap: wrap;
    align-items: stretch;
    /*https://hop-head.hatenadiary.org/entry/20130730/1375195974*/
}
pre {
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    white-space: pre-wrap;
    word-wrap: break-word;
    /*https://html-coding.co.jp/knowhow/tips/000043/*/
}

.ttagory{
    width: 80%; 
    margin: 0px auto; 
    display: flex;
    padding: 0px 20px;
}

.pstbox{
    display: flex;
    flex-wrap: wrap;
}

.ttags {
  position: relative;
  padding: 0.5em;
  background: #a6d3c8;
  color: white;
}

.ttags::before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 15px transparent;
  border-right: solid 20px rgb(149, 158, 155);
}

.ttag{
  color: #505050;/*文字色*/
  padding: 0.5em;/*文字周りの余白*/
  display: inline-block;/*おまじない*/
  line-height: 1.3;/*行高*/
  background: #dbebf8;/*背景色*/
  vertical-align: middle;
  border-radius: 25px 0px 0px 25px;/*左側の角を丸く*/
}

.ttag:before {
  content: '●';
  color: white;
  margin-right: 8px;
}

.tcategorys {
  position: relative;
  padding: 0.5em;
  background: #a6d3c8;
  color: white;
}

.tcategorys::before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 15px transparent;
  border-right: solid 20px rgb(149, 158, 155);
}

.tcategory{
  color: #505050;/*文字色*/
  padding: 0.5em;/*文字周りの余白*/
  display: inline-block;/*おまじない*/
  line-height: 1.3;/*行高*/
  background: #dbebf8;/*背景色*/
  vertical-align: middle;
  border-radius: 25px 0px 0px 25px;/*左側の角を丸く*/
}

.tcategory:before {
  content: '●';
  color: white;
  margin-right: 8px;
}

.searchlists{
    padding: 20px 10px;
}

.sl{
    list-style: none;
    border-top: 2px solid black;
    position: relative;
}
.slup{
    position: absolute;
    top:10px;
    width: 80%;
}
.comment{
    border-top: 2px solid black;
    padding: 20px 20px 0px 20px;
    position: relative;
}

.comment_update{
    position:relative;
    padding: 20px;
    border: 2px solid black;
    border-radius: 10px;
    background-color:#bddeff;
    margin: 30px 0px;
}

.content_add{
    background-color: azure;
    display: flex; 
    margin: 10px auto; 
    height: 40px; 
    border: 1px solid black; 
    padding: 5px;
}





.content_help{
    width: 5%;
}


.page_forum{
    width: 80%;
    margin: 0 auto;
}



/*popup表示させたいコンテンツのレイアウトと位置*/
#content_add_question{
  width:20%;
  line-height:30px;
  background:#fff;
  padding:0 4%;
  box-sizing:border-box;
  display:none;
  position:fixed;
  top:30%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
    
    border: 1px solid black;
    border-radius: 50px;
}
.help{
  display:block;
}
/*ボタンの装飾*/
.help span{
  display:block;
  line-height:40px;
  border-radius:40px;
  text-align:center;
}
.help span:hover{
  cursor:pointer;
}
.helpinput[type="checkbox"]{
  display:none;
}
/*checkboxがcheckの状態になったらpopupを表示させる*/
.helpinput[type="checkbox"]:checked + #content_add_question{
  display:block;
}




/*popup表示させたいコンテンツのレイアウトと位置*/
#iconpopup{
  width:30%;
  line-height:100px;
  background:#000;
  padding:0 4%;
  box-sizing:border-box;
  display:none;
  position:fixed;
  top:50%;
  left:50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}
.iconimg{
  width:100%;
}
.iconlabel{
  display:block;
}
/*ボタンの装飾*/
.iconlabel span{
  display:block;
  background-color:#01b6ed;
  color:#fff;
  width:200px;
  line-height:40px;
  border-radius:4px;
  text-align:center;
}
.iconlabel span:hover{
  cursor:pointer;
}
.iconinput[type="checkbox"]{
  display:none;
}
/*checkboxがcheckの状態になったらpopupを表示させる*/
.iconinput[type="checkbox"]:checked + #iconpopup{
  display:block;
}













@media 
